Join queue

Join the queue for a restaurant.

Note: Prior to making a call to this endpoint, the restaurant must currently be on a wait, nor the API caller will receive response with 422 CURRENTLY_NO_WAIT. Enqueuing the first party on the waitlist can be achieved by using the Yelp Guest Manager app.

Curl example with OAuth authentication:

    root@test:~# curl -X POST https://api.yelp.com/v3/businesses/{BUSINESS_ID}/waitlist/visits --header 'accept: application/json' --header "Authorization: Bearer ${API_TOKEN}" -d "{\"name\": \"Customer Name\", \"party_size\": 2, \"phone\": \"+19050000000\"}"

Example 200 response:

{
    "visit_id": "Encoded visit id",
    "queue_time": 1714576951,
    "party_size": 2,
    "arrive_by_time": 1714577011,
    "expected_seating_time_min": 1714577011,
    "expected_seating_time_max": 1714577551,
    "seating_area_preference": ""
}

Note 2: In order to use this endpoint, the caller should be an onboarded Yelp Waitlist partner.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Encrypted Yelp business identifer

Body Params

The request object for joining the queue of the restaurant

string
required

Patron's phone number in E.164 format

integer
required

Number of guests in the party

string
required

Patron's name

string

Preferred seating area of the visit.

string

Notes from the patron. Will be visible to the host in the host app.

string

Idempotency token to uniquely identify request

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json